package es.uv.saic.service;

import java.math.BigInteger;
import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import es.uv.saic.domain.InstanciaTascaVer;
import es.uv.saic.domain.InstanciaTascaVerRepository;

@Service
public class InstanciaTascaVerService {

	@Autowired
	private InstanciaTascaVerRepository itverr;

    public InstanciaTascaVer findById(BigInteger id, Date dataMod){
        return this.itverr.findById(id, dataMod);
    }

    public List<InstanciaTascaVer> findByIdInstanciaTasca(BigInteger id){
        return this.itverr.findByIdInstanciaTasca(id);
    }

    public InstanciaTascaVer save(InstanciaTascaVer i){
        return this.itverr.save(i);
    }

    public void delete(InstanciaTascaVer i){
        this.itverr.delete(i);
    }

    public void deleteByIdInstancia(BigInteger idInstancia){
        this.itverr.deleteByIdInstancia(idInstancia);
    }
 
}
